Page MenuHomePhabricator

Release the Developer Hub prototype
Closed, ResolvedPublic

Description

MUST
This prototype must have a homepage and three APIs documented and showcased. It must implement the structure and look&feel desired.

SHOULD
An API sandbox should be available, either integrated to the prototype or working as a stand-alone proof of concept.

COULD
This prototype can be based on any tool helping to build this prototype fast. We might or might not use this tool for the final project.

Details

Reference
fl478

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
Resolved Spage
ResolvedJdlrobson
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedQgil
ResolvedVolker_E
Resolved violetto
ResolvedVolker_E
ResolvedVolker_E
DeclinedNone
ResolvedNone
ResolvedVolker_E
DeclinedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPastakhov
ResolvedNone
ResolvedPastakhov
ResolvedNone
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
Resolved Spage
Resolved Spage
DeclinedQgil
Resolved Spage
DeclinedNone
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
Resolvedjeropbrenda
OpenNone
Resolved Spage

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:42 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl478.

qgil wrote on 2014-07-31 21:43:06 (UTC)

Alright, I believe this task contains all the dependencies needed in order to release the prototype before the end of September.

This prototype is being designed by @MSyed and build by @jgonera. Its contents are written by @brainwane, who is also the product owner. I'm helping kickstarting the project while it's useful.

A couple of questions:

qgil wrote on 2014-08-21 11:33:04 (UTC)

See my comment at T491#18 proposing to use MediaWiki to enable this project. @MSyed, what if we focus our current effort in agreeing on the design at a mockup level? Then @Anomie and perhaps others could help implementing that design in MediaWiki.

It looks like @jgonera will not be able to work further in the current prototype, but perhaps we don't need to follow that path anyway? We could rather prototype using a MediaWiki instance in Labs.

flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
Qgil removed Qgil as the assignee of this task.Oct 7 2014, 9:03 PM
Qgil added a subscriber: Qgil.

Currently Moiz is the owner of the prototype.

Qgil lowered the priority of this task from High to Low.Oct 22 2014, 6:20 PM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
In T299#9249, @Qgil wrote:

Currently Moiz is the owner of the prototype.

Currently @Spage is the owner of the prototype.

I believe https://www.mediawiki.org/wiki/API:Data_and_developer_hub is close. It features the RCStream API and the MediaWiki Web API, the latter touches on Wikidata. It matches the Inspire Explore Build layout. But it uses the Vector skin and mediawiki.org surroundings.

It exists, I will have dev.wikimedia.org redirect to it, but not promoted. Before the wide-scale promotion of T307: Announcing the Developer Hub prototype release it needs

  • One more showcase/inspire article (See the workboard)
  • Minimum Viable Product for look and feel and navigation (T301)

In T301#1134932 Qgil commented "Plain Vector with no less than mediawiki.org's header and left column defeats in great measure the purpose of the prototype, because we will need to have a lot of imagination to envision how the launched project will look like."

I believe https://www.mediawiki.org/wiki/API:Data_and_developer_hub is close. It features the RCStream API and the MediaWiki Web API, the latter touches on Wikidata. It matches the Inspire Explore Build layout. But it uses the Vector skin and mediawiki.org surroundings.

It's there, but not promoted. Before the wide-scale promotion of T307: Announcing the Developer Hub prototype release it needs

  • One more article (See the workboard)
  • MVP look and feel (T301)

In T301#1134932 Qgil commented

Plain Vector with no less than mediawiki.org's header and left column defeats in great measure the purpose of the prototype, because we will need to have a lot of imagination to envision how the launched project will look like.

Elitre renamed this task from Release the Developer Hub protoype to Release the Developer Hub prototype.Apr 2 2015, 8:59 AM
Elitre added a subscriber: Elitre.
Spage claimed this task.May 5 2015, 9:44 PM
Spage raised the priority of this task from Low to High.
Spage added a project: ECT-May-2015.
Spage closed this task as Resolved.Jun 2 2015, 10:21 AM

http://devhub.wmflabs.org/wiki/Dev:Data_and_developer_hub meets the criteria. We'll get it ready for broader feedback early in June.